// JavaScript Document

$(document).ready(function(){
	iwc_startup();
	$('.submenu-deploy').click(function(){
		$(this).parent().find('.nav-item-submenu').toggle(100);
		$(this).find('em').toggleClass('dropdown-nav');
		return false;
	});
	
	$('.style-changer').click(function(){
		return false;
	});
	
	$('.close-nav, .sidebar-close').click(function(){
		snapper.close();
	});
	
	$('.wide-image').click(function(){
		$(this).parent().find('.wide-item-content').toggle(50);
		return false;
	});
	
	var snapper = new Snap({
	  element: document.getElementById('content')
	});
	
	snapper.on('open', function(){
	  	$("#dragbox").css({'width':'100%'});
	});
	
	snapper.on('drag', function(){
		var data = snapper.state();
		if(data.state=='right'){
			$("#dragbox").css({'width':'30px'});
		}else{
		  	$("#dragbox").css({'width':'100%'});
		}
	});	
	
	snapper.on('end', function(){
		var data = snapper.state();
		if(data.state=='right'){
			$("#dragbox").css({'width':'30px'});
		}else{
		  	$("#dragbox").css({'width':'100%'});
		}
	});
	
	snapper.on('animated', function(){
		var data = snapper.state();
		if(data.state=='right'){
			$("#dragbox").css({'width':'30px'});
		}else{
		  	$("#dragbox").css({'width':'100%'});
		}
	});
	
	snapper.on('close', function(){
	  $("#dragbox").css({'width':'30px'});
	});
	
	snapper.on('ignore', function(){
	  $("#dragbox").css({'width':'30px'});
	});

	$('.deploy-sidebar').click(function(){
		//$(this).toggleClass('remove-sidebar');
		if( snapper.state().state=="left" ){
			snapper.close();
		} else {
			snapper.open('left');
		}
		return false;
	});
	
	
	$.fn.onAvailable = function(fn){
	    var sel = this.selector;
	    var timer;
	    var self = this;
	    if (this.length > 0) {
	        fn.call(this);   
	    }
	    else {
	        timer = setInterval(function(){
	            if ($(sel).length > 0) {
	                fn.call($(sel));
	                clearInterval(timer);  
	            }
	        },50);  
	    }
	};

});